* This program generates matrix to use Chernozhukov and Hansen's code Matlab programs to
* produce results in the Table 5

clear
set mem 500m
set matsize 3000
set more off
capture log close

use "C:finaldata.dta", clear

keep if hhtnw2>0

global hdvar="female age age2_100 black white ed12 ed15 ed16 married"
global hhvar="ed12sp ed15sp ed16sp aa* ageed*"

drop aagt64 _Ifnp_16 _Isy_46 _Isy_159 _Isy_263  /* drop benchmark dummy variables*/

reg combo8 combo8b $hdvar $hhvar _I* 
predict combo8hat

gen kp_combo8hat=combo8hat*kp


preserve

keep lhhtnw

save "C:\table5y.dta", replace

restore

preserve

keep combo8

save "C:\table5d.dta", replace

restore

preserve

keep combo8b

save "C:\table5z.dta", replace

restore

preserve

keep kp_combo8hat $hdvar $hhvar _I*

save "C:\table5x.dta", replace

restore
