* This program generates matrix to use Chernozhukov and Hansen's code Matlab programs to
* produce results in the Table 6



clear
set mem 500m
set matsize 3000
set more off
capture log close

use "C:finaldata.dta", clear

gen lhhtnwsign=log(hhtnw2+sqrt((hhtnw2^2+1)))  /*hyperbolic sign transformation*/

drop aagt64 _Ifnp_16  /* drop benchmark dummy variables*/

global hdvar="female age age2_100 black white ed12 ed15 ed16 married"
global hhvar="ed12sp ed15sp ed16sp aa* ageed*"


*-----------------------------------------------------------
* matrix for Panel A: without asset interaction 
*----------------------------------------------------------

preserve

keep lhhtnwsign

save "C:\Table6Ay.dta", replace

restore

preserve

keep combo8

save "C:\Table6Ad.dta", replace

restore

preserve

keep combo8b

save "C:\Table6Az.dta", replace

restore

preserve

keep $hdvar $hhvar _I*

save "C:\Table6Ax.dta", replace

sum _all

restore
