* This program generates matrix to use Chernozhukov and Hansen's code Matlab programs to
* produce results in the Table 3



clear
set mem 500m
set matsize 3000
set more off
capture log close

use "C:finaldata.dta", clear

*----------------------------------------------------------------

*----------------------------------------------------------------


keep if hhtnw2>0

global hdvar="female age age2_100 black white ed12 ed15 ed16 married"
global hhvar="ed12sp ed15sp ed16sp aa* ageed*"

drop aagt64 _Ifnp_16 _Isy_46 _Isy_263 _Isy_159  /* drop the benchmark dummy variables*/

preserve

keep lhhtnw

save "c:\Table3y"

restore

preserve

keep combo8

save "C:\Table3d"

restore

preserve

keep combo8b

save "C:\Table3z.dta", replace

restore

preserve

keep $hdvar $hhvar _I*

save "C:\Table3x.dta", replace

restore

