* This program generates results in the Table 7 examing the interaction between laborincome and medicaid

clear
set mem 500m
set matsize 3000
set more off
capture log close


use "C:finaldata.dta", clear


gen loginc=log(fearn)
replace loginc=0 if login==.

global hdvar="female age age2_100 black white ed12 ed15 ed16 married"
global hhvar="ed12sp ed15sp ed16sp aa* ageed*"

gen theta=1

gen lhhtnwsign=log(hhtnw2*theta+sqrt((hhtnw2^2*theta^2+1)))/theta


* Column 1 Table 7

*ivreg lhhtnw loginc $hdvar $hhvar _I* (combo8=combo8b)

* Column 2 Table 7                        

*ivreg lhhtnwsign loginc $hdvar $hhvar _I* (combo8=combo8b)

* Column 3 Table 7 

xtile earning=fearn, nq(5)

local i=1 
while `i' < 6 {
gen earningdum`i'=(earning==`i')
local i= `i'+1
}

quiet reg combo8 combo8b $hdvar $hhvar earningdum* _I* 
quiet predict combo8hat                                                                                      /* instrumental variable for health insurance coverage*/

local i=1 
while `i' < 6 {
gen interaction`i'=earningdum`i'*combo8hat
local i= `i'+1
}

reg lhhtnwsign earningdum2 earningdum3 earningdum4 earningdum5 interaction* $hdvar $hhvar _I*                         


